Ask Your Question
0

Package "ompl" does not follow the version conventions.

asked 2016-01-25 21:10:57 -0500

zzzZuo gravatar image

updated 2016-01-26 03:44:46 -0500

gvdhoorn gravatar image

When I ran

roslaunch turtlebot_bringup minimal.launch

there have

WARNING: Package "ompl" does not follow the version conventions. It should not contain leading zeros (unless the number is 0).

And then I found RViz can't add RobotModel.

SOS! Thanks All!

edit retag flag offensive close merge delete

1 Answer

Sort by » oldest newest most voted
1

answered 2016-01-26 01:57:58 -0500

This question is actually two questions in one as the issue with the RobotModel in RViz is not related at all with the OMPL warning. Please open a different question for this issue.

In any case, it is safe to ignore the OMPL warning. Current OMPL version ROS release is 1.0.0 so if you update your packages this warning should disappear. Before, it was 0.15 or something like that, thus the warning appeared, but it is of no importance.

edit flag offensive delete link more

Comments

I got it,thanks.

zzzZuo gravatar image zzzZuo  ( 2016-01-26 20:25:47 -0500 )edit

Please accept the answer if you consider your question was solved. Thanks.

Javier V. Gómez gravatar image Javier V. Gómez  ( 2016-01-27 03:12:40 -0500 )edit

zzzzZ,好的,不好意思。

zzzZuo gravatar image zzzZuo  ( 2016-01-27 23:48:19 -0500 )edit

Actually, with OMPL 1.0.0 the warning is still there. I guess the reason is that the version is 1.0.0003094, therefore is still containing leading zeros in the patch number.

Javier V. Gómez gravatar image Javier V. Gómez  ( 2016-02-08 10:22:14 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2016-01-25 21:10:57 -0500

Seen: 95 times

Last updated: Jan 26 '16